#ifndef CGIHEADER
  #define CGIHEADER
  #include <windows.h>

class CCGI
{
private:
	int m_ContentLength;
	char *m_method,
	     *m_name,
		 *m_content;

protected:
	int is_hex(char hex);
	char* url_decode(char*);

public:
	CCGI();
	BOOL Initialize(const char*);
	char* FindData(const char* form_variable, BOOL REQUIRED);
	char* GetContent() {return m_content;};
	void  SetContent(char* );
	BOOL ParamExist(char[]);

};
void PrintHeader(const char* title);
void PrintTrailer(const char* trailer);
void err(char[]);
char* stristr(char*, const char*);
void HdrErr(char*, char*);

#endif
